Miru

Incidents

Delete an Incident

Use the API to delete an incident in your workspace.

Required Permissions

  • incidents.delete

Example Request

This request will delete an existing incident.

curl -X DELETE "https://status.example.com/api/v1/incidents/SbQ0ffRQL9tVVlQP" \
  -H "x-api-key: YOUR_API_KEY"

Response

If the API key is valid, hasn't expired, and has the incidents.delete permission, the API will return a JSON response:

{
	"error": false,
	"message": "Incident deleted successfully"
}

Error Response

If there is a problem with the request, the API will return a JSON response with an error message.

{
	"error": true,
	"message": "Missing incidents permissions: delete"
}

Types

The API will return a JSON response that can include the following values:

Response

Prop

Type